﻿using Kreta.BusinessLogic.Interfaces;
using Kreta.Client.FileService.Request;
using Kreta.Client.FileService.Response;

namespace Kreta.Naplo.WebApi.V3.Documentation.MockServices
{

    internal class FileServiceHelperMock : IFileServiceHelper
    {
        public FileUploadResponse Upload(IFileUploadRequest fileUploadRequest)
        {
            return null;
        }

        public string GetUrl(string intezmenyAzonosito, GetUrlRequest fileDownloadRequest)
        {
            return "";
        }

        public GetFileResponse GetFile(string intezmenyAzonosito, GetUrlRequest fileDownloadRequest)
        {
            return null;
        }

        public bool Delete(string intezmenyAzonosito, FileDeleteRequest fileDeleteRequest)
        {
            return true;
        }

        public FileFinalizeResponseV3 Veglegesites(FileFinalizeRequestV3 fileVeglegesitesRequest)
        {
            return new FileFinalizeResponseV3();
        }
    }
}
