﻿namespace Kreta.Naplo.WebApi.V3.Documentation
{
    internal static class DescriptionLookUp
    {
        public const string ListaUidVagyUidsFilterResponseLeiras = "Filter által elvárt, de nem létező resource esetén kizárólag a létező elemek szerepelnek a response-ban";

        public const string TanarAdataiResponseLeiras = "A tanár adatai szerepelnek a response-ban";

        public const string TanarTorolveLett = " Abban az esetben, ha él a token, de a tanár már törölve lett.";

        public const string FelhasznaloTorolveLett = " Abban az esetben, ha él a token, de a felhasználó már törölve lett.";

        public const string OraTorolveLett = " Az óra már törölve lett.";

        public const string IsmeretlenHibaTortentResponseLeiras = "Ismeretlen hiba történt!";

        public const string NincsNevelesOkatatasSzures = "(Nincs nevelés oktatás szűrés)";

        public const string ValidaciosHibaTortentResponseLeiras = "Validációs hiba történt!";

        public const string JogosulatlanTokenLejartResponseLeiras = "A token lejárt!";

        public const string HozzaferesMegtagadvaResponseLeiras = "Hozzáférés megtagadva!";

        public const string NemLetezoEntitasResponseLeiras = "Nem létező entitás!";

        public const string DummyEnumResponseLeiras = "A rendszerben megtalálható összes enum érték szerepel a response-ban<br>None elem csak BE számára kell, jelzi," +
            " ha az enum nem tudott értéket felvenni";

        public const string ListDummyResponseLeiras = "Még el nem készült BE fejlesztések találhatóak a responseban";

        public const string NincsJogosultsaga = "Nincs jogosultsága";

        public const string KeresTullepteMaxFutasiIdot = "A kérés túllépte a maximálisan megengedett futási időt!";

        public const string TanevetValtottAzIntezmeny = "Tanévet váltott az intézmény!";

        public const string TanmenetResponseLeiras = "Tanmenetek szerepelnek a responseban.";

        public const string Rendszermodul = "Rendszermodulok";

        public const string IntezmenyAdatai = "Saját intézmény adatai";

        public const string IskolaorResponseLeiras = "Az iskolaőrök adatai szerepelnek a response-ban.";

        public const string JelszoValtoztatasSikeres = "A jelszó változtatása sikeresen megtörtént!";

        public const string LepEloadasResponseLeiras = "A Lázár Ervin Program által meghirdetett előadások szerepelnek a responseban.";

        public const string TraceDummyResponseLeiras = "TraceLogger dummy";

        public const string ErtekelesRogzitesSikeres = "Az értékelés rögzítése sikeresen megtörtént!";

        public const string EnumResponseLeiras = "Az enum adatai szerepelnek a response-ban";

        public const string OraFeljegyzesResponseLeiras = "Az órán naplózott feljegyzések szerepelnek a response-ban.";

        public const string TanuloErtekeleseiResponseLeiras = "A tanuló értékelései szerepelnek a response-ban";

        public const string OraNaplozasaSikeres = "Az óra naplózása sikeresen megtörtént! A response-ban visszaadjuk a naplózott óra új id-ját. (TanitasiOra)";

        public const string TanuloJelenletResponseLeiras = "Tanulók jelenlét adatai szerepelnek a response-ban";

        public const string NaplozasSikertelenAzOraMarNemLetezikAKivalasztottNapon = "Naplózás sikertelen: az óra már nem létezik a kiválasztott napon!";

        public const string OsztalyCsoportTanuloiResponseLeiras = "Az osztályhoz/csoporthoz tartozó tanulók adatai szerepelnek a response-ban";

        public const string TanarBeallitasokResponseLeiras = "A tanár beállításai szerepelnek a response-ban";

        public const string BeallitasRogzitesSikeres = "A beállítás rögzítése sikeresen megtörtént!";

        public const string HaziFeladatRogziteseSikertelenAzOraMarNemLetezikAKivalasztottNapon = "; Házi feladat rögzítése sikertelen: az óra már nem létezik a kiválasztott napon!";

        public const string HaziFeladatMenteseSikeres = "Házi feladat mentése sikeresen megtörtént!";

        public const string HaziFeladatModositasaSikertelenAHaziFeladatNemLetezik = " Házi feladat módosítása sikertelen: a házi feladat nem létezik!";

        public const string OraNaplozasTorlesSikeres = "Az óra naplózási adatok törlése sikeresen megtörtént! A response-ban visszaadjuk a törölt naplózás órájának id-ját. (OrarendiOra)";

        public const string ErtekelesTorleseSikeres = "Az értékelés törlése sikeresen megtörtént!";

        public const string HetirendSzoveg = "A megadott intervallumba beletartozó (fedik egymást) entitásokkal tér vissza.";

        public const string HaziFeladatTorleseSikertelenAHaziFeladatNemLetezik = "Házi feladat törlése sikertelen: a házi feladat nem létezik!";

        public const string HaziFeladatTorleseSikeres = "Házi feladat törlése sikeresen megtörtént!";

        public const string HaziFeladatCsatolmanyTorlesSikeres = "A házi feladat csatolmány törlése sikeresen megtörtént!";

        public const string OsztalyCsoportTanuloAdatokResponseLeiras = "Az osztályhoz/csoporthoz tartozó tanuló adatai szerepelnek a response-ban";

        public const string MondatbankResponseLeiras = "A mondatbankhoz tartozó adatok szerepelnek a response-ban";

        public const string TanarTantargyFelosztasai = "A tanár osztálycsoportjaihoz tartozó tantárgyak szerepelnek a response-ban";

        public const string IgazolasResponseLeiras = "Tanulóhoz rögzített igazolások adatai szerepelnek a response-ban.";

        public const string IgazolasTorlesSikeres = "Az igazolás törlése sikeresen megtörtént!";

        public const string OsztalyCsoportResponseLeiras = "Az intézményben található osztályok/csoportok adatai szerepelnek a response-ban.";

        public const string IgazolasMenteseSikeres = "Igazolás mentése sikeresen megtörtént!";

        public const string BejelentettSzamonkeresResponseLeiras = "A bejelentett számonkérések listája szerepel a response-ban.";

        public const string TanuloErtekelesMentesSikeres = "Értékelés mentése sikeresen megtörtént!";

        public const string SzamonkeresTorleseSikeres = "A számonkérés törlése sikeresen megtörtént!";

        public const string SzamonkeresRogzitesSikeres = "A számonkérés rögzítése sikeresen megtörtént!";
    }
}
